loci.formats

## Interface IFormatHandler

- All Superinterfaces:
    java.lang.AutoCloseable, java.io.Closeable, IMetadataConfigurable
  All Known Subinterfaces:
    IFormatReader, IFormatWriter
  All Known Implementing Classes:
    AFIReader, AIMReader, AliconaReader, AmiraReader, AnalyzeReader, APLReader, APNGReader, APNGWriter, ARFReader, AVIReader, AVIWriter, BaseTiffReader, BaseZeissReader, BDReader, BDVReader, BIFormatReader, BioRadGelReader, BioRadReader, BioRadSCNReader, BMPReader, BrukerReader, BufferedImageReader, BufferedImageWriter, BurleighReader, CanonRawReader, CellH5Reader, CellH5Writer, CellomicsReader, CellSensReader, CellVoyagerReader, CellWorxReader, ChannelFiller, ChannelMerger, ChannelSeparator, ColumbusReader, CV7000Reader, DCIMGReader, DelegateReader, DeltavisionReader, DicomReader, DicomWriter, DimensionSwapper, DNGReader, Ecat7Reader, EPSReader, EPSWriter, FakeReader, FEIReader, FEITiffReader, FilePatternReader, FileStitcher, FitsReader, FlexReader, FlowSightReader, FluoviewReader, FormatHandler, FormatReader, FormatWriter, FujiReader, FV1000Reader, GatanDM2Reader, GatanReader, GelReader, GIFReader, HamamatsuVMSReader, HISReader, HitachiReader, HRDGDFReader, I2IReader, ICSReader, ICSWriter, IM3Reader, ImaconReader, ImageIOReader, ImageIOWriter, ImageProcessorReader, ImageReader, ImageWriter, ImagicReader, ImarisHDFReader, ImarisReader, ImarisTiffReader, IMODReader, ImprovisionTiffReader, ImspectorReader, InCell3000Reader, InCellReader, INRReader, InveonReader, IonpathMIBITiffReader, IPLabReader, IPWReader, IvisionReader, JavaWriter, JDCEReader, JEOLReader, JPEG2000Reader, JPEG2000Writer, JPEGReader, JPEGReader.DefaultJPEGReader, JPEGWriter, JPKReader, JPXReader, KhorosReader, KLBReader, KodakReader, L2DReader, LeicaReader, LeicaSCNReader, LEOReader, LiFlimReader, LIFReader, LIMReader, LMSFileReader, LOFReader, Memoizer, MetamorphReader, MetamorphTiffReader, MetaxpressTiffReader, MIASReader, MicroCTReader, MicromanagerReader, MikroscanTiffReader, MINCReader, MinimalTiffReader, MinMaxCalculator, MNGReader, MolecularImagingReader, MRCReader, MRWReader, MultipleImagesReader, NAFReader, ND2Reader, NDPIReader, NDPISReader, NiftiReader, NikonElementsTiffReader, NikonReader, NikonTiffReader, NRRDReader, OBFReader, OIRReader, OlympusTileReader, OMETiffReader, OMETiffWriter, OMEXMLReader, OMEXMLWriter, OpenlabRawReader, OpenlabReader, OperettaReader, OxfordInstrumentsReader, PCIReader, PCORAWReader, PCXReader, PDSReader, PerkinElmerReader, PGMReader, PhotoshopTiffReader, PictReader, PovrayReader, PQBinReader, PrairieReader, PSDReader, PyramidOMETiffWriter, PyramidTiffReader, QTReader, QTWriter, QuesantReader, RCPNLReader, ReaderWrapper, RHKReader, SBIGReader, ScanrReader, SDTReader, SeikoReader, SEQReader, SIFReader, SimplePCITiffReader, SISReader, SlideBook7Reader, SlidebookReader, SlidebookTiffReader, SMCameraReader, SPCReader, SPEReader, SpiderReader, SubResolutionFormatReader, SVSReader, TargaReader, TCSReader, TecanReader, TextReader, TiffDelegateReader, TiffJAIReader, TiffReader, TiffWriter, TileJPEGReader, TileStitcher, TillVisionReader, TissueFAXSReader, TopometrixReader, TrestleReader, UBMReader, UnisokuReader, V3DrawWriter, VarianFDFReader, VectraReader, VeecoReader, VentanaReader, VGSAMReader, VirtualReader, VisitechReader, VolocityClippingReader, VolocityReader, WATOPReader, WrappedReader, WriterWrapper, XLEFReader, ZeissCZIReader, ZeissLMSReader, ZeissLSMReader, ZeissTIFFReader, ZeissXRMReader, ZeissZVIReader, ZipReader

      public interface IFormatHandler
      extends java.io.Closeable, IMetadataConfigurable

  Interface for all biological file format readers and writers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFormat()` Gets the name of this file format.
    `java.lang.Class<?>` | `getNativeDataType()` Returns the native data type of image planes for this reader, as returned by `IFormatReader.openPlane(int, int, int, int, int)` or `IFormatWriter.savePlane(int, java.lang.Object)`.
    `java.lang.String[]` | `getSuffixes()` Gets the default file suffixes for this file format.
    `boolean` | `isThisType(java.lang.String name)` Checks if the given string is a valid filename for this file format.
    `void` | `setId(java.lang.String id)` Sets the current file name.

    - ### Methods inherited from interface java.io.Closeable

      `close`

    - ### Methods inherited from interface loci.formats.IMetadataConfigurable

      `getMetadataOptions, getSupportedMetadataLevels, setMetadataOptions`

- - ### Method Detail

    - #### isThisType

          boolean isThisType(java.lang.String name)

      Checks if the given string is a valid filename for this file format.

    - #### getFormat

          java.lang.String getFormat()

      Gets the name of this file format.

    - #### getSuffixes

          java.lang.String[] getSuffixes()

      Gets the default file suffixes for this file format.

    - #### getNativeDataType

          java.lang.Class<?> getNativeDataType()

      Returns the native data type of image planes for this reader, as returned by `IFormatReader.openPlane(int, int, int, int, int)` or `IFormatWriter.savePlane(int, java.lang.Object)`. For most readers this type will be a byte array; however, some readers call external APIs that work with other types such as `BufferedImage`.

    - #### setId

          void setId(java.lang.String id)
              throws FormatException,
                     java.io.IOException

      Sets the current file name.
      Throws:
        `FormatException`
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment